rdlogmanager
1
July 2019
Linux Audio Manual

# rdlogmanager

Module for generating Rivendell logs and reports
Fred
Gleason
fredg@paravelsystems.com
Application Author

          rdlogmanager
          OPTIONS

## Description

`rdlogmanager` 1 is a Rivendell module for generating logs and reports. When invoked with no arguments, it will start up in GUI mode. Operation in GUI mode is documented in the Rivendell Operations Guide.

If one or more options are given, `rdlogmanager` 1 will operate in batch mode.

## Mode Options

For operation in batch mode, exactly one of the following mode options must be given:

`-g`

  Generate a new log. The `-s` switch must also be given to specify the service (see below). Unless otherwise modified by the `-d` option (see below), a log will be generated for the day following the current day --i.e. "tomorrow".

`-m`

  Merge the Music log. The `-s` switch must also be given to specify the service (see below). Unless otherwise modified by the `-d` option (see below), the merge will be done for the day following the current day --i.e. "tomorrow".

`-t`

  Merge the Traffic log. The `-s` switch must also be given to specify the service (see below). Unless otherwise modified by a `-d` option (see below), the merge will be done for the day following the current day --i.e. "tomorrow".

`-r rpt-name`

  Generate a report, using the template named rpt-name. Unless otherwise modified by `-d` or `-e` options (see below), the report will be generated for the day before the current day --i.e. "yesterday".

## Modifier Options

Modifier options change the default parameters of the specified mode.

`-d days`

  Specify a start date offset in days. For log operations, this will be added to "tomorrow's" date to arrive at a target date, whereas for report operations it will be added to "yesterday's" date to arrive at a target date. Default value is `0`.

`-e days`

  Specify an end date offset in days. This will be added to "yesterday's" date to arrive at a target end date. Valid only for certain report types. Default value is `0`.

`-P`

  Protect an existing target object --i.e. if the specified operation has already been performed, do not overwrite the prior result.

`-s service-name`

  Specify the name of the service for a log operation. Required when the the `-g`, `-m` or `-t` modes are specified (see above).

`-h hours`

  Supply the Aggregate Tuning Hours value in hours. Currently only required for the `SoundExchange Statutory License` report.

## Exit Values

0Normal exit 2Unable to open database 4Unknown/invalid command line option 5Unable to overwrite output [-P given] 6No such service 7No such log 8No such report 9Log generation failed 10Schedule import failed 11Insufficient permissions 12Report generation failed

## BUGS

The syntax of `rdlogmanager` 1's switches is decidedly grotty, nor does it conform to the "long-form" switch conventions used in most other Rivendell commands.

## See Also

rdclilogedit 1 `,` rdrender 1